ARCore开发

如何在虚幻引擎中针对支持ARCore的设备进行开发

Choose your operating system:

Windows

macOS

Linux

ARCore是由Google提供的手持增强现实平台,受到虚幻引擎的支持。本文介绍了虚幻引擎如何支持ARCore,以及你该如何设置环境以使用ARCore进行开发。如需了解虚幻引擎支持哪些设备以及支持哪些版本的SDK,请参阅支持的XR设备获取完整列表。

使用ARCore API进行开发

如需在虚幻引擎中针对ARCore进行开发,必须设置以下内容:

  • 已更新硬件和软件。请参阅Android开发要求

  • 已安装Android版Codeworks。

  • 已安装Android 26或更高版本。

  • 手持Android设备受支持、已配置并且已连接。

  • 已在项目中启用 Google ARCore 插件。

完成使用ARCore进行开发的所有必要设置之后,你就可以使用ARCore独有的功能为Android设备进行开发了。如需了解虚幻引擎支持哪些功能,请参阅手持式AR设备功能

开发入门

在使用Google ARCore插件设置项目之后,即可按照以下指示开始为ARCore设备进行开发。

分析

以下内容将介绍如何分析XR应用程序,以及在需要提高性能时应该考虑的事项。